Bug 16745 - Add edit catalog and edit items links to serials toolbar
Summary: Add edit catalog and edit items links to serials toolbar
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-15 14:12 UTC by Kyle M Hall
Modified: 2017-06-14 22:13 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16745 - Add edit catalog and edit items links to serials toolbar (2.42 KB, patch)
2016-06-15 14:23 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16745 - Add edit catalog and edit items links to serials toolbar (2.52 KB, patch)
2016-06-15 14:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16745 - Add edit catalog and edit items links to serials toolbar (2.54 KB, patch)
2016-06-19 11:32 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-06-15 14:12:05 UTC
It would be very helpful for librarians to have links directly to the record and items editor from a serial. Right now moving from the serial to those editors requires jumping through a number of pages.
Comment 1 Kyle M Hall 2016-06-15 14:23:36 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-06-15 14:30:55 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-06-19 11:32:28 UTC
Created attachment 52535 [details] [review]
Bug 16745 - Add edit catalog and edit items links to serials toolbar

It would be very helpful for librarians to have links directly to the
record and items editor from a serial. Right now moving from the serial
to those editors requires jumping through a number of pages.

Test Plan:
1) Apply this patch
2) Browse subscription-detail.pl for a given serial
3) Under the Edit button, note the "Edit record" link
4) Verify the link takes you to the marc editor for that record
5) Create or find a serial that is set to create items on receiving
6) Under the Edit button, note the new "Edit items" link
7) Verify the link takes you to the items editor for that record
8) Create of find a serial that is *not* set to create items on receiving
9) Verify the "Edit items" link does not exists for that serial

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-06-24 13:59:24 UTC
Pushed to master for Koha 16.11!
Comment 5 Frédéric Demians 2016-08-01 13:19:15 UTC
Pushed in 16.05. Will be in 16.05.02.